class BancoDeDados
  attr_accessor :pessoasFisicas, :pessoasJuridicas, :produtos, :compras, :vendas, :fornecedores, :clientes
  
  def initialize()
    @clientes = Hash.new
    @fornecedores = Hash.new
    @produtos = Hash.new
    @compras = Array.new
    @vendas = Array.new
  end
  ### Funções usadas para depuração do programa    
  def imprimePessoasFisicas
    @clientes.each do | key, value |
      value.imprime
    end
  end
  
  def imprimePessoasJuridicas
    @pessoasJuridicas.each do | key, value |
      value.imprime
     end
  end
  
  def imprimeProdutos
    @produtos.each do | key, value |
      value.imprime
    end
  end
  
  def imprimeFornecedores
    @fornecedores.each do | key, value |
      value.imprime
    end
  end
  
  def imprimeFornecedores2
    @fornecedores.each do | key, value |
      print key.to_s + " ==> " + value.to_s
    end
  end
  
  def imprimeCompras
    @compras.each do | valor |
      valor.imprime
    end
  end
  
  def imprimeVendas
    @vendas.each do | valor |
      valor.imprime
    end
  end
 ### Fim das funções de depuração
  
  # Função que processa o total a pagar por fornecedor
  def processaFornecedor
    @compras.each do | valor |
      #print "Valor achado: " + valor.codigoFornecedor.to_s + "\nProduto Achado: " + valor.codigoProduto.to_s + "\n\n"
      fornece = @fornecedores[ valor.codigoFornecedor ]
      produto = @produtos[ valor.codigoProduto ]
      #print "Nome do fornecedor: " + @fornecedores[ valor.codigoFornecedor ].nome + "\n\n"
      fornece.totalAPagar = fornece.totalAPagar + produto.valorDeCusto * valor.quantidade 
    end
    @fornecedores = @fornecedores.sort_by { | key, value | value.nome }
  end
  # Função que processa o total a receber por cliente do tipo fiado
  def processaCliente
    @vendas.each do | valor |
      if valor.formaDePagamento == "F"
        client = @clientes[ valor.codigoCliente ]
        produto = @produtos[ valor.codigoProduto ]
        client.totalAPagar = client.totalAPagar + produto.valorDeVenda * valor.quantidade
      end      
    end
    @clientes = @clientes.sort_by { | key, value | value.nome }
  end
  
end