class Cliente
  attr_accessor :codigoIdentificador, :nome, :endereco, :telefone, :dataCadastro, :tipoCliente, :totalAPagar
  
  def initialize( codigoIdentificador = 0, nome = "", endereco = "", telefone = "", dataCadastro = "" )
    @codigoIdentificador = codigoIdentificador
    @nome = nome
    @endereco = endereco
    @telefone = telefone
    @dataCadastro = dataCadastro
    @totalAPagar = 0.0
  end 
    
end #Fim da classe cliente

class PessoaFisica < Cliente
  attr_accessor :cpf
  
  def initialize( codigoIdentificador = 0, nome = "", endereco = "", telefone = "", dataCadastro = "",cpf = "" )
    super( codigoIdentificador, nome, endereco, telefone, dataCadastro )
    @cpf = cpf
    @tipoCliente = "F"
  end
  
  def imprime
    print "Codigo: " + codigoIdentificador.to_s + "\nNome: " + nome + "\nEndereco: " + endereco + "\nTelefone: " + telefone + "\nData de Cadastro: " + dataCadastro + "\nCPF: " + @cpf.to_s + "\n\n"
  end
        
end #Fim da classe PessoaFisica

class PessoaJuridica < Cliente
  attr_accessor :cnpj, :inscricaoEstadual
  
  def initialize( codigoIdentificador = 0, nome = "", endereco = "", telefone = "", dataCadastro = "", cnpj = "", inscricaoEstadual = 0 )
    super( codigoIdentificador, nome, endereco, telefone, dataCadastro )
    @cnpj = cnpj
    @inscricaoEstadual = inscricaoEstadual
    @tipoCliente = "J"
  end

  def imprime
    print "Codigo: " + codigoIdentificador.to_s + "\nNome: " + nome + "\nEndereco: " + endereco + "\nTelefone: " + telefone + "\nData de Cadastro: " + dataCadastro + "\nCNPJ: " + @cnpj.to_s + "\nInscricao Estadual: " + @inscricaoEstadual.to_s  + "\n\n"
  end
   
end #Fim da classe PessoaJuridica

class Fornecedor < PessoaJuridica
  # A Varíavel "totalAPagar" serve para armazenar o valor total a pagar para o fornecedor que será impresso no relatório "apagar.csv"
  attr_accessor :pessoaDeContato
  def initialize( codigoIdentificador = 0, nome = "", endereco = "", telefone = "", dataCadastro = "", cnpj = "", inscricaoEstadual = 0, pessoaDeContato = "" )
    super( codigoIdentificador, nome, endereco, telefone, dataCadastro, cnpj )
    @pessoaDeContato = pessoaDeContato
  end
  
  def imprime
    print "Codigo: " + codigoIdentificador.to_s + "\nNome: " + nome + "\nEndereco: " + endereco + "\nTelefone: " + telefone + "\nData de Cadastro: " + dataCadastro + "\nCNPJ: " + cnpj + "\npessoaDeContato: " + @pessoaDeContato + "\n\n"
  end

end

