
class LeituraDeArquivo
  attr_accessor :banco
  
  def initialize( bd )
    @banco = bd    
  end
  
  def leCliente( nomeArquivo )
    dados = File.readlines( nomeArquivo )
    valor = nil
    anulador = 0
    for it in dados
      it = it.sub "\n",""
      it = it.split(";")
      if anulador == 0
        anulador = 1
        next
      end
      
      if it[ 5 ] == "F"
        valor = PessoaFisica.new( it[ 0 ].to_i, it[ 1 ], it[ 2 ], it[ 3 ], it[ 4 ], it[ 6 ] )
        @banco.clientes[ it[ 0 ].to_i ] = valor
        
      else
        valor = PessoaJuridica.new( it[ 0 ].to_i, it[ 1 ], it[ 2 ], it[ 3 ], it[ 4 ], it[ 6 ], it[ 7 ] )
        @banco.clientes[ it[ 0 ].to_i ] = valor
      end    
    end
    
  end #Fim da função lê cliente
  
  def leFornecedor( nomeArquivo )
    dados = File.readlines( nomeArquivo )
    valor = nil
    anulador = 0 # Varíavel que é responsável por eliminar o cabeçalho
    for it in dados
      it = it.sub "\n",""
      it = it.split( ";" )
      if anulador == 0
        anulador = 1
        next
      end
      valor = Fornecedor.new( it[ 0 ].to_i, it[ 1 ], it[ 2 ], it[ 3 ], "", it[ 4 ], 0, it[ 5 ] )
      @banco.fornecedores[ it[ 0 ].to_i ] = valor
    end
  end
  
  def leProduto( nomeArquivo )
    dados = File.readlines( nomeArquivo )
    valor = nil
    anulador = 0 # Varíavel que é responsável por eliminar o cabeçalho
    for it in dados
      it = it.sub "\n",""
      it = it.split(";")
      if anulador == 0
        anulador = 1
        next
      end
      it[ 4 ] = it[ 4 ].sub ",", "."
      valor = Produto.new( it[ 0 ].to_i, it[ 1 ], it[ 2 ].to_i, it[ 3 ].to_i, it[ 4 ].to_f, it[ 5 ].to_i )
      @banco.produtos[ it[ 0 ].to_i ] = valor
    end
  end
  
  def leCompra( nomeArquivo )
    dados = File.readlines( nomeArquivo )
    valor = nil
    anulador = 0 # Varíavel que é responsável por eliminar o cabeçalho
    for it in dados
      it = it.sub "\n",""
      it = it.split( ";" )
      if anulador == 0
        anulador = 1
        next
      end
      valor = Compra.new( it[ 0 ].to_i, it[ 1 ].to_i, it[ 2 ], it[ 3 ].to_i, it[ 4 ].to_i )
      @banco.compras << valor
    end
  end
  
  def leVenda( nomeArquivo )
    dados = File.readlines( nomeArquivo )
    valor = nil
    anulador = 0 # Varíavel que é responsável por eliminar o cabeçalho
    for it in dados
      it = it.sub "\n",""
      it = it.split( ";" )
      if anulador == 0
        anulador = 1
        next
      end
      valor = Venda.new( it[ 0 ].to_i, it[ 1 ], it[ 2 ].to_i, it[ 3 ].to_i, it[ 4 ] )
      @banco.vendas << valor
    end
  end
 
    
end