# Trabalho de Linguagens de Programação
# Professor: Vítor Souza
# Alunos: Hudson Martins, Laércio Souza e Pedro Hoppe

require './Banco'
require './Cliente'
require './LeituraDeArquivo'
require './Produto'
require './GeradorDeRelatorio'

def erroMensagem
  print "Error de I/O.\n"
end


if __FILE__ == $PROGRAM_NAME
  
  ### Leitura de Arquivos
  
  if ARGV.size != 10
    erroMensagem
    exit
  end
  ### Criação do Banco de Dados
  banco = BancoDeDados.new
  leitorDeArquivo = LeituraDeArquivo.new( banco )
  
  # Verificar se o numero de paramentros entrado esta correto
  if ARGV[ 0 ] != "-c"
    erroMensagem
    exit          
  end
  ### Leitura dos Arquivos de Entrada
  leitorDeArquivo.leCliente( ARGV[ 1 ] )
  leitorDeArquivo.leFornecedor( ARGV[ 3 ])
  leitorDeArquivo.leProduto( ARGV[ 5 ] )
  leitorDeArquivo.leCompra( ARGV[ 7 ] )
  leitorDeArquivo.leVenda( ARGV[ 9 ] )
  
  ### Processamento de total a pagar por fornecedor e total a receber pro cliente
  banco.processaFornecedor
  banco.processaCliente
  
  ### Geração dos Relatórios de Saída
  gerador = GeradorDeRelatorio.new( banco )
  gerador.geraAPagar
  gerador.geraAReceber  
   
end